/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

// constants will not change
const int GreenledPin = 10; // green LED pin
const int YellowledPin = 11; // yellow LED pin
const int OrangeledPin = 12; // orange LED pin
const int BlueledPin = 13; // blue LED pin

// variables will change
int ledState = LOW; // ledState used to set the LED to On or Off

void setup() {
  // set the digital pins as output
  pinMode(GreenledPin, OUTPUT);
  pinMode(YellowledPin, OUTPUT);
  pinMode(OrangeledPin, OUTPUT);
  pinMode(BlueledPin, OUTPUT);
}

void loop() {
  // if the LED is off turn it on and vice-versa
  if (ledState == LOW){
    ledState = HIGH;
  } else {
    ledState = LOW;
  }

  // write the value to the LED
  digitalWrite(GreenledPin, ledState);
  digitalWrite(YellowledPin, ledState);
  digitalWrite(OrangeledPin, ledState);
  digitalWrite(BlueledPin, ledState);

  // delay 1 second
  delay(1000);

}
